<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Total ServiceType
 * @subpackage Services
 */
class Total extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named TotalPauseTime
     * Meta information extracted from the WSDL
     * - documentation: Toplam duraklama suresini verir. - It gives total pause time. | Toplam duraklama suresini verir. - It gives total pause time. | Toplam duraklama suresini verir. - It gives total pause time.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\TotalPauseTime $parameters
     * @return \StructType\TotalPauseTimeResponse|bool
     */
    public function TotalPauseTime(\StructType\TotalPauseTime $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->TotalPauseTime($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named TotalIdlingTime
     * Meta information extracted from the WSDL
     * - documentation: Toplam rolanti suresini verir. - It gives total idling time. | Toplam rolanti suresini verir. - It gives total idling time. | Toplam rolanti suresini verir. - It gives total idling time.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\TotalIdlingTime $parameters
     * @return \StructType\TotalIdlingTimeResponse|bool
     */
    public function TotalIdlingTime(\StructType\TotalIdlingTime $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->TotalIdlingTime($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named TotalRunningTime
     * Meta information extracted from the WSDL
     * - documentation: Toplam kontak acik suresini verir. - It gives total ignition is open time. | Toplam kontak acik suresini verir. - It gives total ignition is open time. | Toplam kontak acik suresini verir. - It gives total ignition is open time.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\TotalRunningTime $parameters
     * @return \StructType\TotalRunningTimeResponse|bool
     */
    public function TotalRunningTime(\StructType\TotalRunningTime $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->TotalRunningTime($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\TotalIdlingTimeResponse|\StructType\TotalPauseTimeResponse|\StructType\TotalRunningTimeResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
